Subject: AMS Signs Secretariat Services Agreement

From: Ray Pelletier <[email-masked]>
Date: Mon, 07 Apr 2008 16:48:00 -0400

The IAOC is pleased to announce that the Internet Society has executed a 
Secretariat Services Agreement with Association Management Solutions 
LLC.  AMS will provide meetings, clerical and IT services for the IETF. 
The two year contract began on 1 February 2008 and provides for two 
one-year renewals. 

Now that the contract is signed, the IAOC and AMS will review the 
support structure for IETF standards development and consider the 
possibility of new operational models, with a view towards improving 
operational efficiency, support and management. 

This year the IAOC will be working with the community and AMS  in the 
furtherance of improvements in our operating processes. Your 
participation in this effort will be appreciated.

Ray Pelletier
IETF Administrative Director